libdevice User's Guide (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.117. __nv_ffs

Prototype:

    i32 @__nv_ffs(i32 %x)

Description:

Find the position of the first (least significant) bit set to 1 in `x`, where the least significant bit position is 1.

Returns:

Returns a value between 0 and 32 inclusive representing the position of the first bit set.

- __nv_ffs(0) returns 0.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes